Package org.pushingpixels.substance.internal.utils.border

# Class SubstanceEtchedBorder

java.lang.Object
org.pushingpixels.substance.internal.utils.border.SubstanceEtchedBorder

All Implemented Interfaces:
  `Border`

public class SubstanceEtchedBorder extends Object implements Border
Custom implementation of etched border.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceEtchedBorder()`

## Method Summary

Modifier and Type
Method
Description
`Insets`
`getBorderInsets(Component c)`
`Color`
`getHighlightColor(Component c)`
Returns the highlight color for the specified component.
`Color`
`getShadowColor(Component c)`
Returns the shadow color for the specified component.
`boolean`
`isBorderOpaque()`
`void`
`paintBorder(Component c, Graphics g, int x, int y, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceEtchedBorder

public SubstanceEtchedBorder()

## Method Details

### getHighlightColor

public Color getHighlightColor(Component c)
Returns the highlight color for the specified component.

Parameters:
  `c` - Component.
Returns:
  Matching highlight color.

### getShadowColor

public Color getShadowColor(Component c)
Returns the shadow color for the specified component.

Parameters:
  `c` - Component.
Returns:
  Matching shadow color.

### isBorderOpaque

public boolean isBorderOpaque()

Specified by:
  `isBorderOpaque` in interface `Border`

### paintBorder

public void paintBorder(Component c, Graphics g, int x, int y, int width, int height)

Specified by:
  `paintBorder` in interface `Border`

### getBorderInsets

public Insets getBorderInsets(Component c)

Specified by:
  `getBorderInsets` in interface `Border`